Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class TransitionImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.foundation.TransitionImpl

All Implemented Interfaces:
  Belonging, BusinessSmartComponent, Cloneable, Comparable, RelationalReference, Serializable, Transition

public class TransitionImpl
extends BelongingImpl
implements Transition

A named transition from one `state` to another state. The name is generally considered to represent an event. This class is used by the Businsess Smart Workflow generator.

See Also:
  `Transition`, `TransitionHome`, Serialized Form

Field Summary
`State` | `endState` The targeted state for this transition.
`String` | `name` The event that triggers this transition.
`State` | `startState` The begining state for this transition.

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`TransitionImpl()`

Method Summary
`int` | `compareTo(Object o)` Compares a given object with this Belonging.
`State` | `getEndState()` Get the value of endState
`String` | `getName()` Get the value of name
`State` | `getStartState()` Get the value of startState
`String` | `interfaceName()` Returns the unqualified name of the interface as specified in the UML model.
`void` | `setByValue(Belonging value)` Intializes the `Belonging` based upon a supplied `Belonging`.
`void` | `setEndState(State endState)` Set the value of endState
`void` | `setName(String name)` Set the value of name
`void` | `setStartState(State startState)` Set the value of startState
`Belonging` | `value()` Returns a type safe shallow copy of the Belonging instance.

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### endState

    public State endState

  The targeted state for this transition.

                        endState
       [Transition] <*>------> [com.beasys.commerce.foundation.State]

### name

    public String name

  The event that triggers this transition.

                        name
       [Transition] <*>------> [java.lang.String]

### startState

    public State startState

  The begining state for this transition.

                        startState
       [Transition] <*>------> [com.beasys.commerce.foundation.State]

Constructor Detail

### TransitionImpl

    public TransitionImpl()

Method Detail

### compareTo

    public int compareTo(Object o)

  Description copied from class: `BelongingImpl`
  Compares a given object with this Belonging.

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters:
    `o` - the Object to be compared.
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### getEndState

    public State getEndState()

  Get the value of endState

  Specified by:
    `getEndState` in interface `Transition`
  Returns:
    endState.

### getName

    public String getName()

  Get the value of name

  Specified by:
    `getName` in interface `Transition`
  Returns:
    name.

### getStartState

    public State getStartState()

  Get the value of startState

  Specified by:
    `getStartState` in interface `Transition`
  Returns:
    startState.

### interfaceName

    public String interfaceName()

  Description copied from interface: `Belonging`
  Returns the unqualified name of the interface as specified in the UML model.

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns:
    The unqualified name of the belonging interface.

### setByValue

    public void setByValue(Belonging value)

  Description copied from interface: `Belonging`
  Intializes the `Belonging` based upon a supplied `Belonging`.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters:
    `value` - The `Belonging` to use for initialization.

### setEndState

    public void setEndState(State endState)

  Set the value of endState

  Specified by:
    `setEndState` in interface `Transition`
  Parameters:
    `endState` - endState to be added

### setName

    public void setName(String name)

  Set the value of name

  Specified by:
    `setName` in interface `Transition`
  Parameters:
    `name` - name to be added

### setStartState

    public void setStartState(State startState)

  Set the value of startState

  Specified by:
    `setStartState` in interface `Transition`
  Parameters:
    `startState` - startState to be added

### value

    public Belonging value()

  Description copied from interface: `Belonging`
  Returns a type safe shallow copy of the Belonging instance.

  Specified by:
    `value` in interface `Belonging`
  Returns:
    A type safe shallow copy of this Belonging.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved